%define name            ipplan
%define version         4.81
%define release         %mkrel 1

Summary:	IP address management and tracking
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Development/PHP
License:	GPL
URL:		http://sourceforge.net/projects/iptrack/
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-mdv_conf.diff
Requires:	apache-mod_php
Requires:	php-mysql
Requires:	php-adodb >= 1:4.64-1mdk
Requires:	nmap
BuildRequires:	apache-base >= 2.0.54-5mdk
BuildArch:	noarch
Requires(post): ccp >= 0.4.0
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
IPplan is a Web-based, multilingual IP address management and
tracking tool based on PHP which simplifies the administration of
your IP address space. It can handle a single network or multiple
networks with overlapping address spaces. It features
internationalization, importing of network definitions from
routing tables, importing of definitions from TAB-delimited files
and NMAP's XML format, support for multiple administrators with
different access profiles (per group, per customer, per network
etc.), definitions of address space authority boundaries per
group, finding free address space across a range, display of
overlapping address spaces between networks, search capabilities,
an audit log, statistics, and tracking and sending SWIP/registrar
information. 

%prep

%setup -q -n %{name}
%patch0 -p0

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# use external adodb
find . -name "*.php*" | xargs perl -pi -e "s|\"adodb/adodb.inc.php\"|\"%{_datadir}/php-adodb/adodb.inc.php\"|g"
find . -name "*.php*" | xargs perl -pi -e "s|\"\.\./adodb/adodb.inc.php\"|\"%{_datadir}/php-adodb/adodb.inc.php\"|g"

# strip away annoying ^M
find . -type f | perl -ne 'chomp; print "$_\n" if -T $_' | xargs perl -pi -e 'tr/\r//d'

# path fix
find . -type f |  xargs perl -pi -e "s|/usr/local/bin/php|%{_bindir}/php|g"

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# DONT_RELINK means no more ../../../ like softlinks.
export DONT_RELINK=1

install -d %{buildroot}%{_var}/www/%{name}
cp -aRf * %{buildroot}%{_var}/www/%{name}

install -d %{buildroot}%{_localstatedir}/ipplan/uploads
install -d %{buildroot}%{_localstatedir}/ipplan/dns
install -d %{buildroot}%{_localstatedir}/ipplan/dhcp

# cleanup
rm -f %{buildroot}%{_var}/www/%{name}/CHANGELOG
rm -f %{buildroot}%{_var}/www/%{name}/CONTRIBUTORS
rm -f %{buildroot}%{_var}/www/%{name}/DNS-USAGE
rm -f %{buildroot}%{_var}/www/%{name}/INSTALL*
rm -f %{buildroot}%{_var}/www/%{name}/INTERNALS
rm -f %{buildroot}%{_var}/www/%{name}/LICENSE
rm -f %{buildroot}%{_var}/www/%{name}/README*
rm -f %{buildroot}%{_var}/www/%{name}/TODO
rm -f %{buildroot}%{_var}/www/%{name}/TRANSLATIONS
rm -f %{buildroot}%{_var}/www/%{name}/UPGRADE
rm -f %{buildroot}%{_var}/www/%{name}/TRIGGERS
rm -f %{buildroot}%{_var}/www/%{name}/messages.po

# apache configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf <<EOF
# %{name} Apache configuration file
Alias /%{name} %{_var}/www/%{name}
<Directory %{_var}/www/%{name}>
    Allow from all
</Directory>
EOF

# fix config
install -d %{buildroot}%{_sysconfdir}/%{name}
mv %{buildroot}%{_var}/www/%{name}/config.php %{buildroot}%{_sysconfdir}/%{name}/
pushd %{buildroot}%{_var}/www/%{name}/
    ln -s %{_sysconfdir}/%{name}/config.php config.php
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{_sysconfdir}/%{name}/config.php --newfile %{_sysconfdir}/%{name}/config.php.rpmnew
%_post_webapp

%postun
%_postun_webapp

%files
%defattr(-,root,root)
%doc  CHANGELOG CONTRIBUTORS INSTALL INSTALL-POSTGRESQL
%doc INTERNALS README README.html TODO TRANSLATIONS UPGRADE TRIGGERS messages.po
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%{_var}/www/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/config.php
%attr(0755,apache,apache) %dir %{_localstatedir}/ipplan
%attr(0755,apache,apache) %dir %{_localstatedir}/ipplan/uploads
%attr(0755,apache,apache) %dir %{_localstatedir}/ipplan/dns
%attr(0755,apache,apache) %dir %{_localstatedir}/ipplan/dhcp




%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 4.81-1mdv2008.1
+ Revision: 140782
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Feb 27 2007 Anne Nicolas <anne.nicolas@mandriva.com> 4.81-1mdv2007.0
+ Revision: 126757
- new version
- clean spec file
- Import ipplan

* Tue May 30 2006 Oden Eriksson <oeriksson@mandriva.com> 4.57-1mdv2007.0
- 4.57 (Minor bugfixes)

* Thu Mar 16 2006 Oden Eriksson <oeriksson@mandriva.com> 4.55-2mdk
- cleanup the spec file

* Thu Mar 16 2006 Oden Eriksson <oeriksson@mandriva.com> 4.55-1mdk
- 4.55
- rediffed P0
- use ccp

* Thu Jun 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.31-3mdk 
- use new adodb
- drop redundant requires 
- use perl instead of dos2unix to fix encoding
- install in /var/www/ipplan
- let rpm compute dependencies

* Mon May 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.31-2mdk
- provide 2 forgotten directories

* Fri May 13 2005 Oden Eriksson <oeriksson@mandriva.com> 4.31-1mdk
- 4.31

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 4.30-2mdk
- use slightly better ^M stripper
- fix deps

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 4.30-1mdk
- 4.30

* Sun Apr 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.26-1mdk
- 4.26 (Major security fixes)

* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.25-1mdk
- 4.25

* Thu Mar 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.04-1mdk
- 4.04
- strip away annoying ^M

* Sat Nov 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.02-1mdk
- 4.02
- speeded up the "build" process

* Tue Jun 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.02-1mdk
- initial cooker contrib

